Bug 1925586 - cluster-etcd-operator is leaking transports
Summary: cluster-etcd-operator is leaking transports
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks: 1925739
TreeView+ depends on / blocked
 
Reported: 2021-02-05 15:52 UTC by Sam Batschelet
Modified: 2021-07-27 22:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Fix transport leak in etcd-operator Consequence: The memory usage grows over time. Fix: Free the memory allocated for transports to fix the memory leak Result: The memory usage doesn't monotonically grow.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:41:35 UTC
Target Upstream Version:


Attachments (Terms of Use)
4.7.0-0.nightly-2021-02-02-223803 steady state (35.34 KB, image/png)
2021-02-05 15:52 UTC, Sam Batschelet
no flags Details
reproduce etcd operator memroy leaking (61.68 KB, image/png)
2021-02-08 00:38 UTC, ge liu
no flags Details
48_memory_graph (89.22 KB, image/png)
2021-02-09 00:34 UTC, ge liu
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-etcd-operator pull 534 0 None open Bug 1925586: pkg/operator/metriccontroller: cleanup transports 2021-02-05 15:54:25 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:42:17 UTC

Description Sam Batschelet 2021-02-05 15:52:57 UTC
Created attachment 1755250 [details]
4.7.0-0.nightly-2021-02-02-223803 steady state

Description of problem: The operator metrics controller is currently not cleaning up transports the result is a leak. This leak also appears to bear a memory penalty.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. observe operator memory consumption over steady-state.
2.
3.

Actual results: memory usage grows over time.

Expected results: memory usage is reflective of $work


Additional info:

Comment 4 ge liu 2021-02-08 00:38:03 UTC
Sam, I keep eye on new payload which include the fix, but 4.7 have not prompt new build in this day, let's waiting for new payload to verify it, and I have reproduced it with current payload.

Name 	Phase 	Started 	Failures 	Upgrades
4.7.0-0.nightly-2021-02-06-084550 	Accepted 	39 hours ago

Comment 5 ge liu 2021-02-08 00:38:54 UTC
Created attachment 1755562 [details]
reproduce etcd operator memroy leaking

Comment 6 ge liu 2021-02-09 00:32:51 UTC
Verified with 4.8.0-0.ci-2021-02-06-233530, memory graph attached.

Comment 7 ge liu 2021-02-09 00:34:09 UTC
Created attachment 1755817 [details]
48_memory_graph

Comment 11 errata-xmlrpc 2021-07-27 22:41:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.